Xerces-C++: DOMLSSerializerFilter Class Reference

Xerces-C++ 3.3.0

List of all members
DOMLSSerializerFilter Class Referenceabstract

DOMLSSerializerFilter.hpp: interface for the DOMLSSerializerFilter class. More...

`#include <xercesc/dom/DOMLSSerializerFilter.hpp>`

Inheritance diagram for DOMLSSerializerFilter:

## Public Member Functions
Destructor
virtual | ~DOMLSSerializerFilter ()
| Destructor.
Functions introduced in DOM Level 3
virtual FilterAction | acceptNode (const DOMNode *node) const =0
| Interface from `DOMNodeFilter`, to be implemented by implementation (derived class)
virtual ShowType | getWhatToShow () const =0
| Tells the DOMLSSerializer what types of nodes to show to the filter.
Public Member Functions inherited from DOMNodeFilter
virtual | ~DOMNodeFilter ()
| Destructor.

## Protected Member Functions
Hidden constructors
| DOMLSSerializerFilter ()
Protected Member Functions inherited from DOMNodeFilter
| DOMNodeFilter ()

## Additional Inherited Members
Public Types inherited from DOMNodeFilter
enum | FilterAction { FILTER_ACCEPT = 1 , FILTER_REJECT = 2 , FILTER_SKIP = 3 }
| Constants returned by acceptNode. More...
enum | ShowTypeMasks { SHOW_ALL = 0x0000FFFF , SHOW_ELEMENT = 0x00000001 , SHOW_ATTRIBUTE = 0x00000002 , SHOW_TEXT = 0x00000004 , SHOW_CDATA_SECTION = 0x00000008 , SHOW_ENTITY_REFERENCE = 0x00000010 , SHOW_ENTITY = 0x00000020 , SHOW_PROCESSING_INSTRUCTION = 0x00000040 , SHOW_COMMENT = 0x00000080 , SHOW_DOCUMENT = 0x00000100 , SHOW_DOCUMENT_TYPE = 0x00000200 , SHOW_DOCUMENT_FRAGMENT = 0x00000400 , SHOW_NOTATION = 0x00000800 }
| Constants for whatToShow. More...
typedef unsigned long | ShowType

## Detailed Description

DOMLSSerializerFilter.hpp: interface for the DOMLSSerializerFilter class.

DOMLSSerializerFilter provide applications the ability to examine nodes as they are being serialized.

DOMLSSerializerFilter lets the application decide what nodes should be serialized or not.

The DOMDocument, DOMDocumentType, DOMNotation, and DOMEntity nodes are not passed to the filter.

Since
  DOM Level 3

## Constructor & Destructor Documentation

## ◆ DOMLSSerializerFilter()

DOMLSSerializerFilter::DOMLSSerializerFilter | ( |  | ) |
| protected

## ◆ ~DOMLSSerializerFilter()

virtual DOMLSSerializerFilter::~DOMLSSerializerFilter | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ acceptNode()

virtual FilterAction DOMLSSerializerFilter::acceptNode | ( | const DOMNode * | node | ) | const
| pure virtual

Interface from `DOMNodeFilter`, to be implemented by implementation (derived class)

Implements DOMNodeFilter.

## ◆ getWhatToShow()

virtual ShowType DOMLSSerializerFilter::getWhatToShow | ( |  | ) | const
| pure virtual

Tells the DOMLSSerializer what types of nodes to show to the filter.

See `DOMNodeFilter` for definition of the constants. The constant SHOW_ATTRIBUTE is meaningless here, attribute nodes will never be passed to a DOMLSSerializerFilter.

Returns
  The constants of what types of nodes to show.

Since
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMLSSerializerFilter.hpp